Bug 740596 - gkr provides wrong introspection data
Summary: gkr provides wrong introspection data
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 15:32 UTC by Alec Leamas
Modified: 2015-03-03 23:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:52:52 UTC


Attachments (Terms of Use)
Patch to rectify introspection data (412 bytes, patch)
2011-09-22 15:32 UTC, Alec Leamas
no flags Details | Diff
SImple test script (600 bytes, application/x-shellscript)
2011-09-22 15:34 UTC, Alec Leamas
no flags Details
Updated patch against 3.0.3 (1.89 KB, patch)
2011-09-28 12:21 UTC, Alec Leamas
no flags Details | Diff

Description Alec Leamas 2011-09-22 15:32:50 UTC
Created attachment 524437 [details]
Patch to rectify introspection data

Description of problem:


Version-Release number of selected component (if applicable):-2.32.1-1
How reproducible: always
Steps to Reproduce:
1. Run enclosed test script
2. Note that the first two calls fails
3. Note that the interface name 'org.freedesktop.Secrets.Service" in the
   script output.
  
Actual results: All applications which relies on introspection of gkd fails,
since the correct name is 'org.freedesktop.Secret.Service", and this is what the actual code listens to. 


Expected results: Introspection should give correct info, allowing e. g. python bindings to work properly.


Additional info:
This seems to be fixed upstream, F16 Alpha looks OK.
The interface name is defined at http://standards.freedesktop.org/secret-service/ch13.html

Comment 1 Alec Leamas 2011-09-22 15:34:19 UTC
Created attachment 524439 [details]
SImple test script

Comment 2 Alec Leamas 2011-09-22 15:57:59 UTC
Sorry, old version. But version 3.0.3-1 has same bug. Chance is that patch doesn't apply, though.

Comment 3 Alec Leamas 2011-09-28 12:21:49 UTC
Created attachment 525330 [details]
Updated patch against 3.0.3

Now, I was pretty tired submitting this one.  Here is a more sane patch, against a more sane version (to many machines around...).

Comment 4 Colin Walters 2011-09-29 16:46:04 UTC
Please submit patches against gnome-keyring upstream.

Comment 5 Fedora End Of Life 2012-08-07 18:52:56 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.